> This page is for Plate-forme, version V4 expérimental.
> For other versions, use one of these documentation indexes:
> - V4 (default): https://next.developer.frame.io/platform/v4/llms.txt
> - V4 expérimental: https://next.developer.frame.io/platform/v4-experimental/llms.txt
> - Hérité: https://next.developer.frame.io/platform/v2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://next.developer.frame.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://next.developer.frame.io/_mcp/server.

# Show user by id

GET https://api.frame.io/v4/accounts/{account_id}/users/{user_id}

Show details for a single user on an account.
Rate Limits: 100 calls per 1.00 minute(s) per account\_user

Reference: https://next.developer.frame.io/platform/v4-experimental/api-reference/users/account-user-roles-show

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `account_id` (string, required)
- `user_id` (string, required)

### Headers

- `api-version` (enum, required)
  - Allowed values: `experimental`

## Response

### 200

OK

- `data` (ExperimentalAccountUserRole, required) — Frame.io Account User Role

## Errors

### 400 Bad Request Error

Bad request

- `errors` (list of BadRequestErrorsItems, required)

### 401 Unauthorized Error

Unauthorized

- `errors` (list of UnauthorizedErrorsItems, required)

### 403 Forbidden Error

Forbidden

- `errors` (list of ForbiddenErrorsItems, required)

### 404 Not Found Error

Not found

- `errors` (list of NotFoundErrorsItems, required)

### 409 Conflict Error

Conflict

- `errors` (list of ConflictErrorsItems, required)

### 422 Unprocessable Entity Error

Unprocessable content

- `errors` (list of UnprocessableContentErrorsItems, required)

### 429 Too Many Requests Error

Too many requests

- `errors` (list of TooManyRequestsErrorsItems, required)

## Types

### ExperimentalAccountUserRole

Frame.io Account User Role

- `role` (enum, required, nullable) — Account User Role
  - Allowed values: `member`, `owner`, `admin`, `reviewer`
- `user` (ExperimentalUser, required) — Frame.io user details, including account membership metadata

### BadRequestErrorsItems

- `detail` (string, required)
- `source` (BadRequestErrorsItemsSource, optional)
- `title` (string, optional)

### UnauthorizedErrorsItems

- `detail` (string, required)
- `source` (UnauthorizedErrorsItemsSource, optional)
- `title` (string, optional)

### ForbiddenErrorsItems

- `detail` (string, required)
- `source` (ForbiddenErrorsItemsSource, optional)
- `title` (string, optional)

### NotFoundErrorsItems

- `detail` (string, required)
- `source` (NotFoundErrorsItemsSource, optional)
- `title` (string, optional)

### ConflictErrorsItems

- `detail` (string, required)
- `source` (ConflictErrorsItemsSource, optional)
- `title` (string, optional)

### UnprocessableContentErrorsItems

- `detail` (string, required)
- `source` (UnprocessableContentErrorsItemsSource, optional)
- `title` (string, optional)

### TooManyRequestsErrorsItems

- `detail` (string, required)
- `source` (TooManyRequestsErrorsItemsSource, optional)
- `title` (string, optional)

### ExperimentalUser

Frame.io user details, including account membership metadata

- `active` (boolean, required, nullable) — User active status
- `avatar_url` (string, required, nullable) — User avatar image url
- `email` (string, required) — User email
- `id` (string, required, nullable) — User ID - can be null for invited users with no Frame account
- `joined_at` (string, required, nullable) — When the user joined this account
- `last_active_at` (string, required, nullable) — When the user was last active on this account
- `name` (string, required, nullable) — User name
- `timezone` (string, required, nullable) — The user's timezone
- `adobe_user_id` (string, optional, nullable) — Adobe user ID

### BadRequestErrorsItemsSource

- `pointer` (string, optional)

### UnauthorizedErrorsItemsSource

- `pointer` (string, optional)

### ForbiddenErrorsItemsSource

- `pointer` (string, optional)

### NotFoundErrorsItemsSource

- `pointer` (string, optional)

### ConflictErrorsItemsSource

- `pointer` (string, optional)

### UnprocessableContentErrorsItemsSource

- `pointer` (string, optional)

### TooManyRequestsErrorsItemsSource

- `pointer` (string, optional)

## Examples

**Response**

```json
{
  "data": {
    "role": "admin",
    "user": {
      "active": true,
      "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
      "email": "user_email@example.com",
      "id": "c7649fb9-4c65-4c04-8778-b56c7ebd7423",
      "joined_at": "2023-09-25T19:18:29.614189Z",
      "last_active_at": "2026-08-14T12:00:00.000000Z",
      "name": "Jon Doe",
      "timezone": "America/New_York",
      "adobe_user_id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e"
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.frame.io/v4/accounts/0566a49b-2599-4df7-b595-0b24e605f343/users/f051f1b8-5109-41ed-8e39-23e13cfb56d7"

headers = {
    "api-version": "experimental",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.frame.io/v4/accounts/0566a49b-2599-4df7-b595-0b24e605f343/users/f051f1b8-5109-41ed-8e39-23e13cfb56d7';
const options = {
  method: 'GET',
  headers: {'api-version': 'experimental', Authorization: 'Bearer <token>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.frame.io/v4/accounts/0566a49b-2599-4df7-b595-0b24e605f343/users/f051f1b8-5109-41ed-8e39-23e13cfb56d7"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-version", "experimental")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.frame.io/v4/accounts/0566a49b-2599-4df7-b595-0b24e605f343/users/f051f1b8-5109-41ed-8e39-23e13cfb56d7")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-version"] = 'experimental'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.frame.io/v4/accounts/0566a49b-2599-4df7-b595-0b24e605f343/users/f051f1b8-5109-41ed-8e39-23e13cfb56d7")
  .header("api-version", "experimental")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.frame.io/v4/accounts/0566a49b-2599-4df7-b595-0b24e605f343/users/f051f1b8-5109-41ed-8e39-23e13cfb56d7', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'api-version' => 'experimental',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.frame.io/v4/accounts/0566a49b-2599-4df7-b595-0b24e605f343/users/f051f1b8-5109-41ed-8e39-23e13cfb56d7");
var request = new RestRequest(Method.GET);
request.AddHeader("api-version", "experimental");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "api-version": "experimental",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.frame.io/v4/accounts/0566a49b-2599-4df7-b595-0b24e605f343/users/f051f1b8-5109-41ed-8e39-23e13cfb56d7")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```